{
  inputs,
  outputs,
  ...
}:

{
  imports = [
    ./boot.nix
    ./hardware.nix
    ./networking.nix
    ./users.nix

    inputs.synix.nixosModules.common
    inputs.synix.nixosModules.device.laptop
    inputs.synix.nixosModules.hyprland
  ];

  system.stateVersion = "25.11";
}
